---
search:
  tags:
    - license
    - GET
seo:
  description: >-
    Returns the installed licenses, the license consumption, whether the…
    Reference for the GET /api/v1/license endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Get current license status
  badge: GET
title: Get current license status
type: openapi-operation
---
Returns the installed licenses, the license consumption, whether the console enforces licenses, and whether a trial is available.

`GET /api/v1/license`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "enforcing": true,
  "install_id": "string",
  "license_consumption": {
    "services": [
      {
        "id": "string",
        "license_file": "string",
        "license_label": "string",
        "max_memory_gb": 0,
        "max_vcpus": 0,
        "name": "string",
        "note": "string",
        "servers": 0,
        "tier": "string"
      }
    ],
    "totals": [
      {
        "count": 0,
        "tier": "string"
      }
    ]
  },
  "licenses": [
    {
      "detail": "string",
      "entitlements": [
        "string"
      ],
      "expiry": "2019-08-24T14:15:22Z",
      "file": "string",
      "grants": [
        {
          "guard_action": "deploy",
          "needs_redeploy": true,
          "reason": "string",
          "service_id": "string",
          "service_name": "string",
          "state": "granted",
          "until": "2019-08-24T14:15:22Z"
        }
      ],
      "id": "string",
      "issued": "2019-08-24T14:15:22Z",
      "max_machines": 0,
      "max_memory_gb": 0,
      "max_vcpus": 0,
      "name": "string",
      "renewable": true,
      "service": {
        "id": "string",
        "name": "string",
        "server_count": 0
      },
      "service_count": 0,
      "status": "string",
      "tier": "string",
      "trial_resettable": true
    }
  ],
  "trial_available": true
}
```
